<template>
	<div class="emoji">
		<img :src="img" v-if="img && found" @error="found = false">
		<span v-else>{{ emoji }}</span>
	</div>
</template>

<script>
import emojiUnicode from "emoji-unicode";

export default {
	props: ['emoji'],
	data() {
		return {
			found: true,
			img: null
		}
	},
	created() {
		if (this.is_apple) {
			this.found = false;
		}

		this.img = 'https://app.5steps.design/emoji/' + emojiUnicode(this.emoji).replace(/ /g, '-') + '.png';
	},
	methods: {

		imageExists(image_url){
			var http = new XMLHttpRequest();
			http.open('HEAD', image_url, false);
			http.send();
			return http.status == 200;
		},

		is_apple() {
			return [
				'iPad Simulator',
				'iPhone Simulator',
				'iPod Simulator',
				'iPad',
				'iPhone',
				'iPod',
				'MacIntel'
			].includes(navigator.platform)
			// iPad on iOS 13 detection
			|| navigator.userAgent.includes("Mac")
		}

	}
}
</script>

<style>
.emoji img {
	width: 100%;
	height: auto;
}
</style>
